=== T1lib/type1/Makefile ===
#
TOP=../..

include $(TOP)/Make.conf

.SUFFIXES : .c $(O)

# targets to build: 

OBJS = \
	arith$(O) \
	curves$(O) \
	fontfcn$(O) \
	hints$(O) \
	lines$(O) \
	objects$(O) \
	paths$(O) \
	regions$(O) \
	scanfont$(O) \
	spaces$(O) \
	t1io$(O) \
	t1snap$(O) \
	t1stub$(O) \
	token$(O) \
	type1$(O) \
	util$(O) 


all : $(OBJS)


.PHONY : clean

clean : dummy
	$(RM) *$(O)
	$(RM) *~ *.bak \#*\#


install : dummy


dummy :


# Dependencies of object files 
#  (generated by "gcc -MM *.c > .dependencies"):

include .dependencies
