=== debian/changelog ===
grace (1:5.1.23-3) unstable; urgency=low

  * rules: Automatically update config.{sub,guess} at build time.  Add
    immediate symbol binding hardening flag.
  * control: Fix Vcs-* links.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 28 Sep 2013 13:18:54 -0700

grace (1:5.1.23-2) unstable; urgency=low

  * Move package to Alioth collab-maint.  control: Update Vcs-Svn header.
  * Lesstif -> Motif transition: Switch Build-Depends from lesstif2-dev to
    libmotif-dev, and add versioned B-Ds on the first Motif-enabled builds
    of libxbae-dev and xmhtml1-dev.  (Closes: #717644)

 -- Nicholas Breen <nbreen@debian.org>  Sat, 24 Aug 2013 10:43:57 -0700

grace (1:5.1.23-1) unstable; urgency=low

  * New upstream release.  (Closes: #689532)
    - Drop the following patches incorporated upstream: rmserror.diff,
      motiflockup.diff, libpng-1.5.diff.
    - Update netcdf-build-fix.diff, fftw3.diff to apply cleanly.
  * patches/source-hardening.diff: Fix mangled SVG output.  Thanks again
    to Alex Valvanis.  (Closes: #690858)
  * debian/watch: Add dversionmangle to remove Debian epoch from check.
  * control: Set Standards-Version 3.9.4, no changes required.
  * Remove Lintian override from previous upload, as the relevant Lintian
    bug has been fixed.

 -- Nicholas Breen <nbreen@debian.org>  Wed, 31 Oct 2012 17:09:21 -0700

grace (1:5.1.22-13) unstable; urgency=low

  * rules: Convert from CDBS to debhelper v7+ style.  Remove special case
    for mips(el), the underlying binutils bug has been fixed.
  * control: 
    - Update maintainer address.
    - Drop Build-Depends on cdbs.
    - Bump Standards-Version to 3.9.3, no changes required.
    - Swap order of libpng B-Ds for libpng15 transition.  (Closes: #662358)
    - Add Recommends: on xfonts-{100,75}dpi to ensure proper operation on
      Ubuntu systems.  (Closes: #670613)
    - Move to debhelper version 9 (also updating debian/compat).
  * grace.preinst, grace.prerm: Use explicit "set -e" outside the shebang.
  * grace.docs: Specifically install README.
  * patches/source-hardening.diff: Force -Wl,-z,relro for /usr/bin/convcal.
  * grace.lintian-overrides: Overrides for two false positives in Lintian
    2.5.7, see #673112 and #673352.
  * copyright: Point symlink to GPL-2 specifically, although later versions
    are permitted.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 17 May 2012 19:26:48 -0700

grace (1:5.1.22-12) unstable; urgency=low

  * patches/source-hardening.diff: Fix three format-security and one
    unused-result errors, allowing compilation with hardening flags.
    (Closes: #643400)

 -- Nicholas Breen <nbreen@ofb.net>  Sat, 01 Oct 2011 16:13:09 -0700

grace (1:5.1.22-11) unstable; urgency=low

  * patches/libpng-1.5.diff: Support for libpng 1.5 transition.  Patch
    provided by Nobuhiro Iwamatsu.  (Closes: #636970)

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 16 Aug 2011 14:07:25 -0700

grace (1:5.1.22-10) unstable; urgency=low

  * patches/binary_nostrip.diff: Don't strip the grace binary unconditionally,
    but instead let dh_strip handle the job.  This permits generation of
    debug packages.  (Closes: #614102)
  * rules, control: Compile against external Xbae library, instead of bundled.
    (Closes: #614152)
  * control: Increment Standards-Version to 3.9.2, no changes necessary.
    Remove antique "Replaces: xmgr" stanza, as xmgr was removed from the
    archive in 2005.  Remove leading article from short description.
  * rules: Link with --as-needed, which clears out several unnecessary
    dependencies from overly opportunistic linking, including libxp6.
    (Closes: #623641)

 -- Nicholas Breen <nbreen@ofb.net>  Mon, 25 Apr 2011 14:46:38 -0700
