=== debian/control ===
Source: grace
#Format: 3.0 (quilt)
Section: math
Priority: optional
Maintainer: Nicholas Breen <nbreen@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9), libmotif-dev, libxpm-dev,
 libfftw3-dev, libjpeg-dev, libpng-dev | libpng12-dev, libnetcdf-dev,
 gfortran | fortran-compiler, xmhtml1-dev (>= 1.1.7-19) , libt1-dev, fontconfig,
 linuxdoc-tools, libxau-dev, texlive-latex-base, texlive-latex-recommended,
 libxbae-dev (>= 4.60.4-4), autotools-dev
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/grace/trunk/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/grace/trunk/
Homepage: http://plasma-gate.weizmann.ac.il/Grace

Package: grace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gsfonts (>= 6.0), fontconfig, xterm
Recommends: xfonts-100dpi | xfonts-75dpi | xfonts-100dpi-transcoded | xfonts-75dpi-transcoded
Suggests: texlive-extra-utils, ghostscript
Description: XY graphing and plotting tool
 Grace is a point-and-click tool that allows the user to draw X-Y plots.
 This is the program formerly known as Xmgr.
 .
 A few of its features are: User defined scaling, tick marks, labels,
 symbols, line styles, colors, polynomial regression, splines, running
 averages, DFT/FFT, cross/auto-correlation, batch mode for unattended
 plotting, and hardcopy support for PostScript, FrameMaker and several image
 formats.
