=== debian/changelog ===
grace (1:5.1.23-6+7.0trisquel2) belenos; urgency=medium

  * Updated copyright file

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 04 Jul 2020 14:57:04 +0000

grace (1:5.1.23-6) unstable; urgency=medium

  * control: Also add in Build-Deps for libxt-dev, libxext-dev, libxau-dev,
    libxaw7-dev.  Hooray for unspecified transitive dependencies.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 29 Mar 2014 11:20:00 -0700

grace (1:5.1.23-5) unstable; urgency=medium

  * control: Reverse order of xmhtml1-dev | libxmhtml-dev Build-Dep.
    (Closes: #742890)

 -- Nicholas Breen <nbreen@debian.org>  Sat, 29 Mar 2014 10:36:07 -0700

grace (1:5.1.23-4) unstable; urgency=medium

  * control: XmHTML development package will change to libxmhtml-dev soon;
    modify Build-Depends to libxmhtml-dev | xmhtml1-dev in preparation.
  * rules: Switch back to embedded convenience copy of T1lib.
    (Closes: #638760)
    - control: Drop B-D on t1lib-dev.
    - README.source: add some notes about this.
    - patches/t1lib-general.diff: Incorporate all available patches from
      former Debian distribution of T1lib.
    - grace.lintian-overrides: Suppress relevant embedded-library error.
  * control:  Update Standards-Version to 3.9.5, no changes required.
  * grace.lintian-overrides: Drop workaround for lintian #673112.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 27 Mar 2014 20:12:01 -0700
