## grace 5.1.24

=== doc/Makefile ===
--- 
+++ 
@@ -59,11 +59,9 @@
 TUTDATA  = 2.1.dat 3.dat 7.1.2.agr 7.1.3.agr 8.2.dat \
            10.1.dat 10a.dat 10c.dat 10b.dat shiftdata.sh mygraph.png
 
-GRACEMAN = grace.1
-MANLINKS = xmgrace.1 gracebat.1
-MANPAGES = $(GRACEMAN) grconvert.1 convcal.1
+MANPAGES = grace.1 gracebat.1 xmgrace.1 grconvert.1 convcal.1
 
-all : html dvi
+all : html pdf
 
 html : $(HTMLDOCS)
 
@@ -76,7 +74,7 @@
 tex  : $(TEXDOCS)
 
 clean :
-	$(RM) $(TEXDOCS) *.aux *.log *.toc
+	$(RM) $(TEXDOCS) *.aux *.log *.toc *.out
 
 distclean : clean
 	$(RM) *.orig
@@ -84,11 +82,9 @@
 devclean : distclean
 	$(RM) $(DVIDOCS) $(PSDOCS) $(PDFDOCS) $(HTMLDOCS)
 
-install : $(HTMLS) $(HTMLDOCS) $(DVIDOCS) $(TUTDATA) $(MANPAGES)
+install : $(HTMLS) $(HTMLDOCS) $(PDFDOCS) $(TUTDATA) $(MANPAGES)
 	$(MKINSTALLDIRS) $(DESTDIR)$(GRACE_HOME)/doc
 	for i in $?; do $(INSTALL_DATA) $$i $(DESTDIR)$(GRACE_HOME)/doc; done
-	cd $(DESTDIR)$(GRACE_HOME)/doc; \
-	for i in $(MANLINKS); do $(RM) $$i; $(LN_S) $(GRACEMAN) $$i; done
 
 $(DESTDIR)$(GRACE_HOME)/doc/grace.1 : $(MANPAGES)
 	$(MAKE) install
@@ -97,7 +93,7 @@
 	$(MKINSTALLDIRS) $(DESTDIR)$(PREFIX)/man
 	$(MKINSTALLDIRS) $(DESTDIR)$(PREFIX)/man/man1
 	cd $(DESTDIR)$(PREFIX)/man/man1; \
-	for i in $(MANPAGES) $(MANLINKS); do $(RM) $$i; $(LN_S) $(GRACE_HOME)/doc/$$i $$i; done
+	for i in $(MANPAGES); do $(RM) $$i; $(LN_S) $(GRACE_HOME)/doc/$$i $$i; done
 
 tests : dummy
