=== debian/changelog ===
grace (1:5.1.24-2) unstable; urgency=medium

  * Add Build-Depends on texlive-fonts-recommended.

 -- Nicholas Breen <nbreen@debian.org>  Sat, 13 Sep 2014 16:53:32 -0700

grace (1:5.1.24-1) unstable; urgency=medium

  * New upstream release.
    - Remove patches/cephes-license.diff (incorporated upstream), rebase
      other patches as necessary.
    - Fixes input of non-ASCII text under UTF-8 locales. (LP: #1276783)

 -- Nicholas Breen <nbreen@debian.org>  Sat, 13 Sep 2014 15:48:16 -0700

grace (1:5.1.23-9) unstable; urgency=medium

  * copyright: Convert to DEP-5 format and overhaul information.  Include
    e-mail from cephes author regarding its licensing; thanks to Helen
    Faulkner for driving that for the labplot packages many years ago.
    (Closes: #758237)
  * patches/cephes-license.diff: Additionally add cephes/COPYING to the
    unpacked source tree.
  * README.Debian: Update epstopdf information and alioth URL.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 15 Aug 2014 17:33:55 -0700

grace (1:5.1.23-8) unstable; urgency=medium

  * Upload to unstable with libxmhtml-dev transition, no further changes.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 26 Jun 2014 20:58:11 -0700

grace (1:5.1.23-7) experimental; urgency=medium

  * control: Transition to libxmhtml-dev, currently only in experimental.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 16 Jun 2014 18:02:18 -0700
