=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Section: math
 Priority: optional
 Maintainer: Nicholas Breen <nbreen@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9), libmotif-dev, libxpm-dev,
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), libmotif-dev, libxpm-dev, fontconfig,
  libfftw3-dev, libjpeg-dev, libpng-dev | libpng12-dev, libnetcdf-dev,
- gfortran | fortran-compiler, xmhtml1-dev (>= 1.1.7-19) , libt1-dev, fontconfig,
- linuxdoc-tools, libxau-dev, texlive-latex-base, texlive-latex-recommended,
- libxbae-dev (>= 4.60.4-4), autotools-dev
+ gfortran | fortran-compiler, libxmhtml-dev, linuxdoc-tools, libxau-dev,
+ texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended,
+ libxbae-dev (>= 4.60.4-4), autotools-dev, libxt-dev, libxext-dev, libxaw7-dev
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/grace/trunk/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/grace/trunk/
 Homepage: http://plasma-gate.weizmann.ac.il/Grace
