=== debian/changelog ===
grace (1:5.1.25-9) unstable; urgency=medium

  * Housekeeping update prior to the bullseye release.
  * Update S-V to 4.5.1 and debhelper to compat 13.
    - Tidy up various dh_* files, and remove duplicated manpages, to
      avoid dh_missing failures.
  * Add Depends: on sensible-utils, for sensible-browser and -editor.
  * Relocate example files to /usr/share/doc/grace/examples.
  * d/patches/documentation-national-encoding.diff: New patch to convert
    remaining ISO-8859-1 documentation to UTF-8.
  * Janitor bot fixes: correct a day-of-week error in the changelog,
    update to https:// link for Grace homepage.
  * d/control: Set an explicit Rules-Requires-Root: binary-targets, needed
    for changing file ownership in the install step.
  * d/rules: Remove linker flags that are now the toolchain default.
  * Remove obsolete preinst script, only needed to clean up after the
    long-gone defoma.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 20 Dec 2020 12:58:08 -0800

grace (1:5.1.25-8) unstable; urgency=medium

  * Stop shipping a partial Xresources file; instead, supply all available
    default settings in an example file, which interested users can merge
    into their ~/.Xresources as a whole.  (Closes: #955770)
  * Update Standards-Version to 4.5.0, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 19 Apr 2020 14:52:41 -0700

grace (1:5.1.25-7) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Nicholas Breen ]
  * d/patches/font-extension-t1.diff: Search for .t1 as a font file
    extension (as seen in newer versions of Ghostscript), in addition to
    the traditional .pfa/.pfb extensions.  Thanks to Carlo Segre for the
    thorough bug report.  (Closes: #934662)
  * Update to Standards-Version 4.4.0 and debhelper compat 12.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 15 Aug 2019 20:00:53 -0700

grace (1:5.1.25-6) unstable; urgency=medium

  * Move VCS repo to salsa.debian.org.
  * Bump to Standards-Version 4.1.4, debhelper compat 11.
  * Eliminate several hardcoded color settings, moving them to an Xresources
    configuration file, allowing user overrides.  Patch courtesy of Denis
    Danilov.  (Closes: #727796)

 -- Nicholas Breen <nbreen@debian.org>  Sat, 28 Apr 2018 10:50:28 -0700

grace (1:5.1.25-5) unstable; urgency=medium

  * Typo fix in control ("gconf" -> "gconf2").

 -- Nicholas Breen <nbreen@debian.org>  Fri, 30 Jun 2017 09:16:09 -0700

grace (1:5.1.25-4) unstable; urgency=medium

  * Don't run dh_gconf; schemas are now registered by triggers and the
    thumbnailing is an optional feature, so a hard Depends: is not
    desirable.  Instead, add an explicit Suggests: gconf2.
    (Closes: #863872)
  * Update Standards-Version to 4.0.0 and bump debhelper compat level to 10,
    no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 18 Jun 2017 13:04:04 -0700

grace (1:5.1.25-3) unstable; urgency=medium

  * Drop B-D alternative on libpng12-dev.  (Closes: #810181)
  * Update Standards-Version to 3.9.8, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Mon, 23 Jan 2017 09:47:16 -0800

grace (1:5.1.25-2) unstable; urgency=medium

  * Remove grace.menu (and grace-menu.xpm) per TC decision #741573.
  * Update Standards-Version to 3.9.7, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 28 Feb 2016 16:18:39 -0800

grace (1:5.1.25-1) unstable; urgency=medium

  * New upstream release.
    - No longer clears set comments on load.  (Closes: #775749)
  * copyright: Add 2015 where relevant, disambiguate short license names.

 -- Nicholas Breen <nbreen@debian.org>  Tue, 17 Feb 2015 09:50:49 -0800

grace (1:5.1.24-3) unstable; urgency=medium

  * Switch to "interest-noawait" triggers to avoid a possible configuration
    loop with gsfonts.  (Closes: #774558)
  * Update Standards-Version to 3.9.6, no changes required.

 -- Nicholas Breen <nbreen@debian.org>  Sun, 04 Jan 2015 09:29:02 -0800
