=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,17 @@
 #!/usr/bin/make -f
 
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS  = hardening=+bindnow
 
 %:
-	dh $@ --with autotools_dev
+	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
+	./configure \
 	--enable-grace-home=/usr/share/grace \
 	--with-editor="xterm -e sensible-editor" \
 	--with-helpviewer="sensible-browser %s" \
 	--with-f77=gfortran \
+	--with-bundled-t1lib \
 	--disable-pdfdrv \
 	--without-bundled-xbae
 
@@ -32,8 +32,16 @@
 		$(CURDIR)/debian/grace/usr/sbin/update-grace-fonts
 	dh_install
 
+# Optional component that will not fail if gconf is missing, so a hard
+# Depends: is not desirable.
+override_dh_gconf:
+
 # Upstream Makefile needs configure run even for clean target.  Override it,
 # and ignore errors if they occur -- they come from the configure-check, not
 # from the missing Makefile that is the common case.
 override_dh_auto_clean:
 	$(MAKE) --keep-going --ignore distclean
+
+# Don't compress example graph files.
+override_dh_compress:
+	dh_compress -X.agr
