=== debian/watch ===
version=3
opts=dversionmangle=s/^\d+:// \
  ftp://plasma-gate.weizmann.ac.il/pub/grace/src/grace5/grace-(\d.*).tar.gz
